{
  description = "A very basic flake";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs?ref=nixos-unstable";
  };

  outputs =  { self, nixpkgs }: {
    devShells.x86_64-linux.default =
      let
              insecure-package-overlay = final: prev: {
        nixpkgs.config.permittedInsecurePackages = [
          # Add the full name and version of the package here
          "openssl-1.1.1w"
          # "another-insecure-package-2.0"
        ];
      };
        pkgs = import nixpkgs {
          system = "x86_64-linux";
          overlays = [];
        };
      in
      pkgs.mkShell {
        buildInputs = [
          pkgs.cargo
        ];
      };
  };
}
